'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) arr2[i] = arr[i]; return arr2; } else { return Array.from(arr); } }

var _handlebars = require('handlebars');

var _handlebars2 = _interopRequireDefault(_handlebars);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _image = require('./image');

var _image2 = _interopRequireDefault(_image);

var _headline = require('./headline');

var _headline2 = _interopRequireDefault(_headline);

var _copy = require('./copy');

var _copy2 = _interopRequireDefault(_copy);

var _price = require('./price');

var _price2 = _interopRequireDefault(_price);

if (_classnames2['default']['handlebars-partial']) {
	(0, _classnames2['default'])();
}

if (_image2['default']['handlebars-partial']) {
	(0, _image2['default'])();
}

if (_headline2['default']['handlebars-partial']) {
	(0, _headline2['default'])();
}

if (_copy2['default']['handlebars-partial']) {
	(0, _copy2['default'])();
}

if (_price2['default']['handlebars-partial']) {
	(0, _price2['default'])();
}

var srcset = ['//is.s2.de/320x145/dddddd/fefefe/320x121.png 320w', '//is.s2.de/416x157/dddddd/fefefe/416x157.png 416w', '//is.s2.de/540x204/dddddd/fefefe/540x204.png 540w', '//is.s2.de/700x265/dddddd/fefefe/700x265.png 700w', '//is.s2.de/910x344/dddddd/fefefe/910x344.png 910w'];

var prices = [{
	prefix: 'Ab',
	value: '123,45',
	currency: '€',
	period: '/Monat',
	'href': '#',
	disclaimer: '*',
	'disclaimer-href': '#'
}, {
	prefix: 'oder',
	value: '10.000,00',
	currency: '€',
	disclaimer: '2'
}];

var _compiledPartial = _handlebars2['default'].compile('{{#>(lookup . "__component__Component") class=_var}}\n\t\t\t\t<a class="car-tile-link" href={{props.href}}>\n\t\t\t\t\t{{#if _testHelperVar}}{{#>(lookup . "__component__Image") __$spread$__=_undefined_attributes_}}{{/undefined}}{{/if}}\n\t\t\t\t\t{{#if _testHelperVar2}}{{#>(lookup . "__component__Headline") class="headline--no-margin" component="figcaption" order="5"}}\n\t\t\t\t\t\t\t{{props.caption}}\n\t\t\t\t\t\t{{/undefined}}{{/if}}\n\t\t\t\t{{#if _testHelperVar3}}{{#>(lookup . "__component__Copy") class="copy--no-margin" order="2"}}\n\t\t\t\t\t\t{{props.claim}}\n\t\t\t\t\t{{/undefined}}{{else}}_expression{{/if}}\n\t\t\t\t</a>\n\t\t\t\t{{_callResult}}\n\t\t\t{{/undefined}}');

var _compiledPartial2 = _handlebars2['default'].compile('{{#>(lookup . "__component__Price") __$spread$__=_undefined_attributes_2}}{{/undefined}}');

function CarTile() {
	_handlebars2['default'].registerPartial('CarTile', function (context, execOptions) {
		var localContext = {};
		localContext.props = Object.assign({
			href: '#',
			caption: 'Lorem ipsum dolor',
			image: {},
			prices: prices,
			component: 'figure'
		}, execOptions.hash, (execOptions.hash || {}).__$spread$__);

		if (!execOptions.data['partial-block']) {
			throw new Error('Calling partials is only valid as block-partial');
		}

		localContext.props.children = new _handlebars2['default'].SafeString(execOptions.data['partial-block'](context));

		var Component = localContext.props.component;
		localContext._var = (0, _classnames2['default'])('car-tile', localContext.props.className);

		var image = _extends({ srcset: srcset }, localContext.props.image);

		localContext.__component__Component = Component.name;
		localContext._testHelperVar = image;
		localContext.__component__Image = _image2['default'].name;
		localContext._undefined_attributes_ = [image];
		localContext._undefined_attributes_ = Object.assign.apply(Object, [{}].concat(_toConsumableArray(localContext._undefined_attributes_)));
		localContext._testHelperVar2 = localContext.props.caption;
		localContext.__component__Headline = _headline2['default'].name;
		localContext._testHelperVar3 = localContext.props.claim;
		localContext.__component__Copy = _copy2['default'].name;
		localContext._expression = null;

		localContext._callResult = (function (result) {
			return Array.isArray(result) ? new _handlebars2['default'].SafeString(result.join('')) : result;
		})(localContext.props.prices.map(function (price) {
			var localContext = Object.assign({}, localContext);
			localContext.__component__Price = _price2['default'].name;
			localContext._undefined_attributes_2 = [price];
			localContext._undefined_attributes_2 = Object.assign.apply(Object, [{}].concat(_toConsumableArray(localContext._undefined_attributes_2)));
			return new _handlebars2['default'].SafeString(_compiledPartial2.call(this, localContext, execOptions));
		}));

		return new _handlebars2['default'].SafeString(_compiledPartial.call(this, localContext, execOptions));
	});
}

CarTile['handlebars-partial'] = true;
exports['default'] = CarTile;
module.exports = exports['default'];