import React from 'react';

export default class Image extends React.Component {
  render() {
    var classname = ['image', this.props.className].join(' ').trim();
    var src = this.props.src || '//is.s2.de/320x320/dddddd/fefefe/320x320.jpg';
    
    var width = this.props.width || '320';
    var height = this.props.height || '320';
    var alt = this.props.alt || 'image';
    
    var sizes = (this.props.sizes || ['100vw']).join(', ');
    
    var srcset = (this.props.srcset || [
      '//is.s2.de/320x320/dddddd/fefefe/320x320.jpg 320w',
      '//is.s2.de/640x640/dddddd/fefefe/416x416.jpg 416w',
      '//is.s2.de/640x640/dddddd/fefefe/540x540.jpg 540w',
      '//is.s2.de/640x640/dddddd/fefefe/702x702.jpg 702w',
      '//is.s2.de/640x640/dddddd/fefefe/912x912.jpg 912w',
      '//is.s2.de/1024x1024/dddddd/fefefe/1185x1185.jpg 1024w',
      '//is.s2.de/2048x2048/dddddd/fefefe/1540x1540.jpg 1540w',
      '//is.s2.de/2048x2048/dddddd/fefefe/2000x2000.jpg 2000w',
      '//is.s2.de/2048x2048/dddddd/fefefe/2600x2600.jpg 2600w'
    ]).join(', ');
    
    var props = {...this.props};
    
    delete props.srcset;
    
    return <img
      {...props}
      className={classname}
      src={src}
      width={width}
      height={height}
      srcSet={srcset}
      sizes={sizes}
      alt={alt}
    />
  }
}
