import React from 'react';

export default class Price extends React.Component {
  render() {
    var prefix = this.props.prefix || false;
    var period = this.props.period || false;
    var value = this.props.value || '0,00';
    var currency = this.props.currency || '€';
    var disclaimer = this.props.disclaimer || false;
    var inverted = this.props.inverted || false;
    
    var className = ['price', this.props.className, inverted ? 'price--inverted' : ''].join(' ').trim();
    
    var href = this.props['href'];
    var LinkTag = href ? 'a' : 'span';
    var linkClassName = ['price-link', href ? 'price-link--connected' : ''].join(' ').trim();;
    
    return <div className={className}>
      <LinkTag className={linkClassName} href={href}>
        {prefix ? <PriceElement>{prefix}</PriceElement> : null}
        <PriceElement>{value}</PriceElement>
        <PriceElement>{currency}</PriceElement>
        {period?<PriceElement>{period}</PriceElement>:null}
      </LinkTag>
      {disclaimer ? <PriceElement><FootnoteLink inverted={inverted} href={this.props['disclaimer-href']}>{disclaimer}</FootnoteLink></PriceElement> : null}
    </div>
  }
}
